Skip to main content
POST
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Body

application/json
key
string
required

Secret name used to reference it in the organization.

Required string length: 1 - 255
value
string
required

Secret plaintext value to encrypt and store. Retrieve and list operations return redacted summaries, not this value.

Required string length: 1 - 64000

Response

Create an organization secret

createdAt
string<date-time>
required
id
string<uuid>
required
key
string
required
Required string length: 1 - 255
updatedAt
string<date-time>
required